# VkXYColorEXT(3) Manual Page

## Name

VkXYColorEXT - Specify X,Y chromaticity coordinates

Loading… please wait.

## C Specification

The `VkXYColorEXT` structure is defined as:

    // Provided by VK_EXT_hdr_metadata
    typedef struct VkXYColorEXT {
        float    x;
        float    y;
    } VkXYColorEXT;

## Members

- `x` is the x chromaticity coordinate.

- `y` is the y chromaticity coordinate.

## Description

Chromaticity coordinates are as specified in CIE 15:2004 “Calculation of chromaticity coordinates” (Section 7.3) and are limited to between 0 and 1 for real colors.

## See Also

VK_EXT_hdr_metadata, VkHdrMetadataEXT

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2025 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0